Getting An Error While Trying To Downgrade Your iOS Device? Try This!


Rate this post

A few months ago I accidentally updated my iPad, but fortunately for me I had saved the SHSH blob and was able to downgrade very easily. So earlier this week when again updated my iPad to 4.3.5 by mistake I reached into my files pulled out an IPSW and tried to downgrade again.

This time I got an error! and thought I was stuck!“This device isn’t eligible for the requested build” was the error I got. I double checked it all:

  • Host file edited
  • IPSW chosen
  • Wire firmly connected
  • iTunes updated to the latest version
  • SHSH blobs saved

All check! So I tried again!

“This device isn’t eligible for the requested build” was all I got. I double checked everything again, and started to wonder if Apple had changed it’s latest OS, OSX Lion, someway so that it wouldn’t allow me to downgrade, and left it for a few days.

Fortunately I came across this walk through on the Panda App forums and found that all  was needed was to clear my Macs cache in Terminal:
To flush the cache in order for the changes to take effect. Open Terminal again and type in dscacheutil -flushcache and hit enter. (The command prompt entry for Windows users is ipconfig /flushdns.

 

After performing the flush my iPad downgraded back to 4.2.1 and I was even able to upgrade it to 4.3 and Jailbreak it with www.jailbreakme.com!

 

 

Previous iPhone 5 Knock Off Only $47 in China Available in White!
Next How much would you pay for a Diamond iPad?